import os

if os.environ.get("ENVIRONMENT") == "PRODUCTION":
    SECRET_KEY = os.environ.get("SECRET_KEY")
    os.environ["DATABASE_URL"] = os.environ.get("POSTGRESQLCONNSTR_DATABASE_URL")  # ty:ignore[invalid-assignment]
    DEBUG = False
else:
    SECRET_KEY = os.environ.get("SECRET_KEY")
    DEBUG = True

INSTALLED_APPS = [
    "authapp.apps.AuthAppConfig",
    "core.apps.CoreConfig",
    "django.contrib.contenttypes",
    "django.contrib.staticfiles",
    "tests",
]
